<?php 
// 会员前台
include "../core.php";
saxue_checklogin();
saxue_getconfigs( 'oauth', 'member' );

// 导入oauth接口类
include SAXUE_ROOT_PATH . "/model/member_oauth.php";
$oauth_handler = &saxuememberoauthhandler :: getinstance( "saxuememberoauthhandler" );
$oauth_handler -> queryobjects( new criteria( "uid", $_SESSION['saxueUserId'] ) );
$rows = $saxueOauth;
while ( $v = $oauth_handler -> getobject() ) {
		$site = $v -> getvar( "site" );
		if ( isset( $rows[$site] ) ) {
				$rows[$site] = $rows[$site] + $v -> getvars( "n" );
		}
} 
include SAXUE_WEB_PATH . "/member/header.php";
$saxueTpl -> assign_by_ref( "rows", $rows );
$saxueTpl -> setcaching( 0 );
$saxueTset['saxue_contents_template'] = SAXUE_THEME_PATH . "/member/oauth.html";
include SAXUE_WEB_PATH . "/member/footer.php";
